Page MenuHomePhabricator

maniphest.query should return differentials associated with a task
Closed, DuplicatePublic

Description

I have a script I've put in my path as git-tasks, that shows me my branches with the names of maniphest tasks for branches named after tasks. I would really love to include differentials and their statuses in the list. That way,I wouldn't have to keep going to my browser to figure out what branch I should be working on when I get mail about a differential.

It'd rock if maniphest.query returned a list of differentials attached to a ticket (better yet, include names/statuses), or alternatively, let me pass a list of ticket IDs to differential.query.

Event Timeline

lexelby created this task.Apr 4 2014, 5:14 PM
lexelby raised the priority of this task from to Needs Triage.
lexelby updated the task description. (Show Details)
lexelby added a project: Conduit.
lexelby added subscribers: lexelby, epriestley.
epriestley renamed this task from feature request: maniphest.query should return differentials associated with a task to maniphest.query should return differentials associated with a task.Apr 24 2014, 1:20 PM
epriestley triaged this task as Wishlist priority.

It would be vaguely nice to have some more systematic approach for exposing edges before filling things like this in.

Trying to write tooling around phabricator for sprint management and this is a huge gap for us.

epriestley closed this task as a duplicate.Aug 13 2014, 5:01 PM

✘ Merged into T5873.